# MongoDB\BSON\Document::offsetUnset

(mongodb >=1.17.0)

MongoDB\BSON\Document::offsetUnset — Implémentation d'ArrayAccess

### Description

final public MongoDB\BSON\Document::offsetUnset(mixed `$key`): void

Retire la valeur à l'index spécifié.

### Liste de paramètres

`key`

  L'index à retirer.

### Valeurs de retour

Aucune valeur n'est retournée.

### Erreurs / Exceptions

- Lance toujours une MongoDB\Driver\Exception\LogicException.